Get all profiles in workspace
curl --request GET \
--url https://api.gologin.com/workspaces/{wid}/profiles \
--header 'Authorization: Bearer <token>' \
--header 'cf-ipcountry: <cf-ipcountry>'import requests
url = "https://api.gologin.com/workspaces/{wid}/profiles"
headers = {
"cf-ipcountry": "<cf-ipcountry>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'cf-ipcountry': '<cf-ipcountry>', Authorization: 'Bearer <token>'}
};
fetch('https://api.gologin.com/workspaces/{wid}/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profiles": [
{
"name": "<string>",
"id": "<string>",
"role": "<string>",
"notes": "<string>",
"browserType": "<string>",
"lockEnabled": true,
"timezone": {},
"navigator": {},
"geolocation": {},
"canBeRunning": true,
"os": "<string>",
"proxy": {},
"archivedProxy": {
"id": "<string>",
"name": "<string>",
"country": "<string>"
},
"proxyType": "<string>",
"proxyRegion": "<string>",
"sharedEmails": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"lastActivity": "<string>",
"permissions": {
"transferProfile": true,
"transferToMyWorkspace": true,
"shareProfile": true,
"manageFolders": true,
"editProfile": true,
"deleteProfile": true,
"cloneProfile": true,
"exportProfile": true,
"updateUA": true,
"addVpnUfoProxy": true,
"runProfile": true,
"runProfileWeb": true,
"viewProfile": true,
"addProfileTag": true,
"removeProfileTag": true,
"viewShareLinks": true,
"createShareLinks": true,
"updateShareLinks": true,
"deleteShareLinks": true,
"viewCustomExtensions": true
},
"debugMode": true,
"isRunDisabled": true,
"runDisabledReason": "unpaid-share",
"isWeb": true,
"osSpec": "<string>",
"isM1": true,
"status": {},
"folders": [
"<string>"
],
"folderIds": [
"<string>"
],
"isPinned": true,
"updateUALastChosenBrowserV": "<string>",
"tags": [
"<string>"
],
"shareId": "<string>",
"isShared": true,
"sharesCount": 123,
"proxyEnabled": true,
"isDisabled": true,
"isAutoGenerated": true,
"isBookmarksSynced": true,
"defaultProps": {
"profileNameIsDefault": true,
"profileNotesIsDefault": true
},
"autoLang": true,
"remoteOrbitaUrl": "<string>",
"bookmarks": {},
"chromeExtensions": [
"<string>"
],
"userChromeExtensions": [
"<string>"
],
"facebookAccountData": {
"date": "<string>",
"token": "<string>",
"fbIdAccount": "<string>",
"email": "<string>",
"password": "<string>",
"googleDriveUrl": "<string>",
"fb2faToolUrl": "<string>",
"fbUrl": "<string>",
"uaVersion": "<string>",
"cookies": "<string>",
"notParsedData": [
"<string>"
]
},
"order": 123
}
],
"total": 123,
"isFolderDeleted": true,
"currentOrbitaMajorV": "<string>",
"currentBrowserV": "<string>",
"currentTestBrowserV": "<string>",
"currentTestOrbitaMajorV": "<string>",
"isMoreProfilesAvailable": true,
"groupsMetadata": [
"<string>"
]
}Workspace
Get all profiles in workspace
Gets all profiles in a workspace.
GET
/
workspaces
/
{wid}
/
profiles
Get all profiles in workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Workspace ID
Query Parameters
Will return all profiles which names match the search query.
Will return all profiles in particular folder.
Will return all profiles in particular folder.
Maximum number of profiles per page is 30. So if you want to get more profiles, you need to increment this value.
Will sort the result by the selected field.
Available options:
lastActivity, proxyType, updatedAt, createdAt, sharedEmails, name, os, order Will sort the result by the selected order.
Available options:
ascend, descend Will return all profiles with the selected tag.
Maximum number of profiles per page is 30. So if you want to get more profiles, you need to increment this value.
To get Android cloud profiles.
Was this page helpful?
⌘I